﻿@model EMartVG.Models.Marca
@{
    ViewBag.Title = "AdminPanel";
}


<h2 class="font-weight-bolder text-center" style="color:white; opacity:0.8;background-color:black">Panel de Administración</h2>
<nav aria-label="breadcrumb">
    <ol class="breadcrumb" style="color: white;opacity: 0.8;background-color: black">
        <li class="breadcrumb-item"><a href="~/Admin/CreaMarcas/" style="color:white">Panel de Administración</a></li>
        <li class="breadcrumb-item"><a href="~/Admin/CreaMarcas/" style="color:white">Marcas</a></li>
        <li class="breadcrumb-item active" aria-current="~/Admin/ListarMarcas/">Agregar Marcas</li>
    </ol>
</nav>


<div class="card text-center" style="background-color:black">
    <div class="card-header">
        <ul class="nav nav-tabs card-header-tabs">
            <li class="nav-item">
                <a class="nav-link active font-weight-bolder" style="background-color:white ; color: black" href="~/Admin/CreaMarcas/">Marcas</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/CreaCategoria">Categorías</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/CreaProducto">Productos</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/CreaAdmin/">Administradores</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/ListarVentas/">Ventas</a>
            </li>
        </ul>
    </div>
    <div class="card-body">
        <div class="card text-left" style="background-color:whitesmoke">
            <div class="card-header">
                <ul class="nav nav-tabs card-header-tabs">

                    <li class="nav-item">
                        <a class="nav-link active " style="color:white ; background-color:black" href="#">Agregar Marca</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link " style="color:black" href="~/Admin/ListarMarcas">Listar Marcas</a>
                    </li>
                </ul>
            </div>
            <div class="card-body">
                <form method="post">
                    <div class="form-horizontal">

                        <div class="form-group">
                            <div class="col-md-10">
                                <label>Nombre Marca:</label>
                                <input type="text" name="Nombre_Marca" id="Nombre_Marca" class="form-control" maxlength="50" />
                                @Html.ValidationMessageFor(model => model.Nombre_Marca, "", new { @class = "text-danger" })
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-10">
                                <label>Descripción Marca:</label>
                                <input type="text" name="Descripcion_Marca" id="Descripcion_Marca" class="form-control" maxlength="50" /> <!--Esto modificar a un area d etxto después-->
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-offset-2 col-md-10">
                                <input type="submit" id="btnSubmit" value="Registra Marca" class="btn btn-dark" />
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>


@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    <script src="~/Scripts/SweetAlert.js"></script>
    <script>
        $("#btnSubmit").click(function (e) {
            let error = "";
            if (!$("#Nombre_Marca").val()) {
                error = "Debe ingresar el nombre de la marca \n";
            }
            if ($("#Nombre_Marca").val().indexOf(' ') >= 0) {
                error += "No se permiten espacios \n";
            }
            if (!$("#Descripcion_Marca").val()) {
                error += "Debe ingresar una descripción para la marca \n";
            }
            if (error != "") {
                e.preventDefault();
                swal("Información  incompleta", error, "error");
            }
        });
    </script>
}



